-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.MenuUtils";

ColorPanel = class( Tonic.UI.AutoListBox );

function ColorPanel:Constructor()
	Tonic.UI.AutoListBox.Constructor( self );
	self.utils = Tonic.UI.MenuUtils();

	self.utils:AddCategoryBox(self, LOCALESTRINGS.QuickslotsMenu["Background Colors"]);

	self.useBackgroundCheckBox  = self.utils:AddCheckBox( self, LOCALESTRINGS.QuickslotsMenu["Use Background Color on Bar"], selectionWidth + 150, selectionHeight );
	self.utils:CreateCheckBoxCallback( self.useBackgroundCheckBox, { "useBackgroundColor" } );

	self.utils:AddLabelBox( self, LOCALESTRINGS.QuickslotsMenu["Red:"], 50, selectionHeight );
	self.bgRSB = self.utils:AddScrollBar( self, 0, 0, 100, 200, selectionHeight + 20 );
	self.utils:CreateScrollBarCallback( self.bgRSB, { "backgroundColorRed" }, nil, 100, function(sender,args)
		self:SetColors( barSettings );
	end );
	self.utils:AddLabelBox( self, LOCALESTRINGS.QuickslotsMenu["Green:"], 50, selectionHeight );
	self.bgGSB = self.utils:AddScrollBar( self, 0, 0, 100, 200, selectionHeight + 20 );
	self.utils:CreateScrollBarCallback( self.bgGSB, { "backgroundColorGreen" }, nil, 100, function(sender,args)
		self:SetColors( barSettings );
	end );
	self.utils:AddLabelBox( self, LOCALESTRINGS.QuickslotsMenu["Blue:"], 50, selectionHeight );
	self.bgBSB = self.utils:AddScrollBar( self, 0, 0, 100, 200, selectionHeight + 20 );
	self.utils:CreateScrollBarCallback( self.bgBSB, { "backgroundColorBlue" }, nil, 100, function(sender,args)
		self:SetColors( barSettings );
	end );
	self.utils:AddLabelBox( self, LOCALESTRINGS.QuickslotsMenu["Opasity:"], 150, selectionHeight );
	self.bgASB = self.utils:AddScrollBar( self, 0, 0, 100, 200, selectionHeight + 20 );
	self.utils:CreateScrollBarCallback( self.bgASB, { "opacity" }, nil, 100, function(sender,args)
		self:SetColors( barSettings );
	end );

	self.utils:AddCategoryBox(self, LOCALESTRINGS.QuickslotsMenu["Fade Options"]);

	self.utils:AddLabelBox( self, LOCALESTRINGS.QuickslotsMenu["Shortcut Opacity:"], 200, selectionHeight );
	self.fadeOpacitySelection = self.utils:AddScrollBar( self, 0, 0, 100, 200, selectionHeight + 20 );
	self.utils:CreateScrollBarCallback( self.fadeOpacitySelection, { "fadeOpacity" }, nil, 100 );

	self.useFadingCheckBox  = self.utils:AddCheckBox( self, LOCALESTRINGS.QuickslotsMenu["Remove opacity when moused over?"], selectionWidth + 200, selectionHeight );
	self.utils:CreateCheckBoxCallback( self.useFadingCheckBox, { "useFading" } );
end

function ColorPanel:DisplaySettings()
	local localBarSettings = theSettingsManager:GetBarSettings( menu:GetSelection() );

	-- COLOR SETTINGS
	self.useBackgroundCheckBox:SetChecked( localBarSettings.useBackgroundColor );
	self.bgRSB:SetValue( localBarSettings.backgroundColorRed * 100 );
	self.bgGSB:SetValue( localBarSettings.backgroundColorGreen * 100 );
	self.bgBSB:SetValue( localBarSettings.backgroundColorBlue * 100 );
	self.bgASB:SetValue( localBarSettings.opacity * 100 );
	self.fadeOpacitySelection:SetValue( localBarSettings.fadeOpacity * 100 );
	self.useFadingCheckBox:SetChecked( localBarSettings.useFading );
end

function ColorPanel:SetColors()
	local barSettings = theSettingsManager:GetBarSettings( menu:GetSelection() );
	theColor = Turbine.UI.Color( barSettings.opacity, barSettings.backgroundColorRed, barSettings.backgroundColorGreen, barSettings.backgroundColorBlue )
end

function ColorPanel:EnableTriggers( enabled )
end
